.titleBar { margin-bottom: 5px!important; }

Suche libc.so.6

Dieses Thema im Forum "FRITZ!Box Fon: Modifikationen" wurde erstellt von vernichter, 8 Dez. 2008.

  1. vernichter

    vernichter Neuer User

    Registriert seit:
    28 Feb. 2008
    Beiträge:
    59
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    für Kernel 2.6.19.2. Die fehlt wohl auf der 7240. Danke
     
  2. RalfFriedl

    RalfFriedl IPPF-Urgestein

    Registriert seit:
    22 Apr. 2007
    Beiträge:
    12,343
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Die fehlt wofür? Und was hat sie mit der Version des Kernels zu tun?
     
  3. vernichter

    vernichter Neuer User

    Registriert seit:
    28 Feb. 2008
    Beiträge:
    59
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Kernelversion hab ich nur sicherheitshalber angegeben, da ich es nicht weiß. Ich möchte auf der 7240 nen Programm starten, und er meckert an, dass die Datei fehlt.
     
  4. RalfFriedl

    RalfFriedl IPPF-Urgestein

    Registriert seit:
    22 Apr. 2007
    Beiträge:
    12,343
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Dann solltest Du die Library dort suchen, wo Du auch das Programm her hast.
     
  5. vernichter

    vernichter Neuer User

    Registriert seit:
    28 Feb. 2008
    Beiträge:
    59
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Dort gibts die leider nicht. Finde die nirgendswo.
     
  6. chriwi

    chriwi Mitglied

    Registriert seit:
    14 Nov. 2005
    Beiträge:
    705
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Beruf:
    IT-Ingenieur
    Ort:
    Stuttgart Deutschland
    Hallo Vernichter,

    vermutlich hast du nur ein Problem mit einer nicht kompatielbelen libc.so.6, die lib ansich muß schon in jedem Linux drin sein und genau die passende findet man wirklich meist nur da wo man das programm her hat oder bei dem Linux des Geräts für das das Programm ursprünglich gedacht war. Hat man sie dann gefunden ergibt sich das Problem daß man dann 2 verschiedenen libc.so.6 hat die man vermutlich beide braucht, weil sonst andere Programme nicht mehr laufen, daß läßt sich dann meist nur mit ein Wrapper-Script mit LdLibaryPath auf die neue Lib lösen.
    Aber gerade an der passenden libc.so.6 bin ich auch schon manchmal gescheitert (allerdings auf ner Dreambox).
     
  7. vernichter

    vernichter Neuer User

    Registriert seit:
    28 Feb. 2008
    Beiträge:
    59
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Ah, ein Dreamboxuser..... Tja, es gibt leider nur eine .0 auf der Fritzbox-FW. Und das Programm, was laufen soll, ist ein Laufvogel. Für die 7270 gibts halt schon fertige Images dafür, für die 7240 habe ich keins gefunden.
     
  8. chriwi

    chriwi Mitglied

    Registriert seit:
    14 Nov. 2005
    Beiträge:
    705
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Beruf:
    IT-Ingenieur
    Ort:
    Stuttgart Deutschland
    dann kannst du nur versuchen ein FB7270 Image auszupacken oder einen 7270 Besitzzer bitten dir die Lib zu kopieren. Ich habe selbst nur ein 7170.